function love.load()
  rect = {
    x = 100,
    y = 100,
    width = 100,
    height = 100,
    dragging = { active = false, diffX = 0, diffY = 0 }
  }
  rad = 1

	mouse = {
		x = 10, 
		y = 10,
		dist = 0,
		angle = 0
	}
	
-- Returns the distance between two points.
--	dist =  function math.dist(x1,y1 ,x2,y2) return ((x2-x1)^2+(y2-y1)^2)^0.5 end
	function distance(x1,y1, x2,y2) return ((x2-x1)^2+(y2-y1)^2)^0.5 end
	

-- Returns the angle between two points.
	function angle(x1,y1, x2,y2) return math.atan2(y2-y1, x2-x1) end
	

end

function love.update(dt)
  if rect.dragging.active then
    rect.x = love.mouse.getX() - rect.dragging.diffX
    rect.y = love.mouse.getY() - rect.dragging.diffY
  end
 	if rad <150 then
		rad = rad + .5
	else 
		rad = 1
	end

	mouse.x = love.mouse.getX()
	mouse.y = love.mouse.getY()
	
	--distance between point and mouse
	mouse.dist = distance(150,150, mouse.x,mouse.y)
	--angle between moues and point
	mouse.angle = angle(150,150, mouse.x,mouse.y)	
end

function love.draw()
  love.graphics.setColor(255, 255, 255, 255)
  love.graphics.rectangle("fill", rect.x, rect.y, rect.width, rect.height)
  love.graphics.circle("fill", 150, 150, 5, 15) 
  love.graphics.setColor(255, 0, 0, 255)
  love.graphics.circle("line", 150, 150, rad, 25)
  love.graphics.setColor(255, 0, 0, 255)
  love.graphics.circle("fill", 150, 150, rad, 25)

    --text for information
    -- .print text-xposition-yposition
  love.graphics.setColor(255, 255, 255, 255)
  love.graphics.print("mouse coordinates...", 50, 25)
  --mouse coordinates
  love.graphics.setColor(255, 255, 255, 255)
  love.graphics.print("X: "..mouse.x, 50, 40)
  love.graphics.print("Y: "..mouse.y, 50, 55)
  --distance
  love.graphics.print("Distance:"..mouse.dist, 50, 70)
  --angle
  love.graphics.print("Angle: "..mouse.angle, 50, 85)
end

function love.mousepressed(x, y, button)
  if button == "l"
  and x > rect.x and x < rect.x + rect.width
  and y > rect.y and y < rect.y + rect.height
  then
    rect.dragging.active = true
    rect.dragging.diffX = x - rect.x
    rect.dragging.diffY = y - rect.y
  end
end

function love.mousereleased(x, y, button)
  if button == "l" then rect.dragging.active = false end
end


